.\"	$NetBSD: bha.4,v 1.12 2002/02/07 03:15:08 ross Exp $
.\"
.\" Copyright (c) 1994 James A. Jegers
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 29, 1994
.Dt BHA 4
.Os
.Sh NAME
.Nm bha ,
.Nm bt
.Nd Buslogic SCSI adapter driver
.Sh SYNOPSIS
.Cd "bha0 at isa? port 0x330 irq ? drq ?"
.Cd "bha* at eisa? slot ?"
.Cd "bha* at pci? dev ? function ?"
.Cd "scsibus* at bha?"
.Sh DESCRIPTION
The
.Nm bha
driver supports the following
.Tn Buslogic
.Tn SCSI
adapters:
.Pp
.Bl -tag -width indent -offset indent -compact
.It Tn Buslogic ISA BT-445
.It Tn Buslogic EISA BT-74x
.It Tn Buslogic PCI BT-9[45][68]
.El
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr intro 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr st 4
.Sh HISTORY
In
.Nx 1.2
and earlier, this driver was named
.Nm bt
but was renamed to
.Nm bha
in later releases.
.Sh BUGS
The
.Tn Buslogic
BT-930 is not supported in this driver.
.Pp
The
.Tn Buslogic
BT-445S has a problem in early hardware and firmware revisions
which prevents proper operation on a system with more than 16MB of RAM.
Hardware revision D and firmware revision 3.37 should be considered minimum
requirements for using this board on systems configured in this manner.
